Package org.apache.sysds.runtime.compress.colgroup.offset

# Enum Class OffsetFactory.OFF_TYPE

java.lang.Object
java.lang.Enum<OffsetFactory.OFF_TYPE>
org.apache.sysds.runtime.compress.colgroup.offset.OffsetFactory.OFF_TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<OffsetFactory.OFF_TYPE>`, `Constable`

Enclosing class:
  OffsetFactory

public static enum OffsetFactory.OFF_TYPE extends Enum<OffsetFactory.OFF_TYPE>
The specific underlying types of offsets.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BYTE`
`CHAR`
`UBYTE`

## Method Summary

Modifier and Type
Method
Description
`static OffsetFactory.OFF_TYPE`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OffsetFactory.OFF_TYPE[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UBYTE

public static final OffsetFactory.OFF_TYPE UBYTE

### BYTE

public static final OffsetFactory.OFF_TYPE BYTE

### CHAR

public static final OffsetFactory.OFF_TYPE CHAR

## Method Details

### values

public static OffsetFactory.OFF_TYPE[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static OffsetFactory.OFF_TYPE valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null